# ipa_sudocmdgroup – Manage FreeIPA sudo command group

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Add, modify or delete sudo command group within IPA server using IPA API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cn - / required |  | Sudo Command Group. aliases: name
description - |  | Group description.

ipa_host
string

Default:
"ipa.example.com"

IP or hostname of IPA server.
If the value is not specified in the task, the value of environment variable `IPA_HOST` will be used instead.
If both the environment variable `IPA_HOST` and the value are not specified in the task, then DNS will be used to try to discover the FreeIPA server.
The relevant entry needed in FreeIPA is the 'ipa-ca' entry.
If neither the DNS entry, nor the environment `IPA_HOST`, nor the value are available in the task, then the default value will be used.
Environment variable fallback mechanism is added in Ansible 2.5.

ipa_pass
string / required

Password of administrative user.
If the value is not specified in the task, the value of environment variable `IPA_PASS` will be used instead.
Note that if the 'urllib_gssapi' library is available, it is possible to use GSSAPI to authenticate to FreeIPA.
If the environment variable `KRB5CCNAME` is available, the module will use this kerberos credentials cache to authenticate to the FreeIPA server.
If the environment variable `KRB5_CLIENT_KTNAME` is available, and `KRB5CCNAME` is not; the module will use this kerberos keytab to authenticate.
If GSSAPI is not available, the usage of 'ipa_pass' is required.
Environment variable fallback mechanism is added in Ansible 2.5.

ipa_port integer | Default: 443 | Port of FreeIPA / IPA server. If the value is not specified in the task, the value of environment variable `IPA_PORT` will be used instead. If both the environment variable `IPA_PORT` and the value are not specified in the task, then default value is set. Environment variable fallback mechanism is added in Ansible 2.5.

ipa_prot
string

Choices:
- http
- https ←

Protocol used by IPA server.
If the value is not specified in the task, the value of environment variable `IPA_PROT` will be used instead.
If both the environment variable `IPA_PROT` and the value are not specified in the task, then default value is set.
Environment variable fallback mechanism is added in Ansible 2.5.

ipa_timeout
integer
added in 2.7

Default:
10

Specifies idle timeout (in seconds) for the connection.
For bulk operations, you may want to increase this in order to avoid timeout from IPA server.
If the value is not specified in the task, the value of environment variable `IPA_TIMEOUT` will be used instead.
If both the environment variable `IPA_TIMEOUT` and the value are not specified in the task, then default value is set.

ipa_user string | Default: "admin" | Administrative account used on IPA server. If the value is not specified in the task, the value of environment variable `IPA_USER` will be used instead. If both the environment variable `IPA_USER` and the value are not specified in the task, then default value is set. Environment variable fallback mechanism is added in Ansible 2.5.

state
-

Choices:
- present ←
- absent
- enabled
- disabled

State to ensure

sudocmd - |  | List of sudo commands to assign to the group. If an empty list is passed all assigned commands will be removed from the group. If option is omitted sudo commands will not be checked or changed.

validate_certs
boolean

Choices:
- no
- yes ←

This only applies if `ipa_prot` is https.
If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Ensure sudo command group exists
      ipa_sudocmdgroup:
        name: group01
        description: Group of important commands
        sudocmd:
        - su
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

    - name: Ensure sudo command group does not exist
      ipa_sudocmdgroup:
        name: group01
        state: absent
        ipa_host: ipa.example.com
        ipa_user: admin
        ipa_pass: topsecret

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
sudocmdgroup dictionary | always | Sudo command group as returned by IPA API

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Thomas Krahn (@Nosmoht)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.